Metpo-Html

Downloads

topimage

Requirements

Minimum requirements for using Total E-Call

You need to install version 4.0 or above, of the Microsoft .NET Framework before running Total E-Call.  If your computer is up to date, the framework should be installed, if not, you can download and install it from Microsoft at  the below link. 

 

Total E-Call will run on the Windows 2000, 2003, XP, Vista and Windows 7, Windows 8 and Windows 10 operating systems.

Downloads

Be part of our social network

read, watch, share, like, follow